id: mega-phish

info:
  name: mega phishing Detection
  author: rxerium
  severity: info
  description: |
    A mega phishing website was detected
  reference:
    - https://mega.io
  metadata:
    max-request: 1
  tags: phishing,mega,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Home - MEGA'
          - 'Secure and private cloud storage for everyone. Store and share files, chat, meet, back up, sync, and more.'
        condition: and

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"mega.io")'
# digest: 4b0a00483046022100d3f3bccbe52e1a2c8e770b90ba8d9e1d4f917b1bd2b17845389ca0da1f307b2c022100a95e85a4ec04de1d4df20f92209be7c1c6544c013d66ff9da83298d8ada08d03:922c64590222798bb761d5b6d8e72950